## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name puremagic

Name:           python-%{pypi_name}
Version:        1.30
Release:        %autorelease
Summary:        Pure python implementation of magic file detection

%global forgeurl https://github.com/cdgriffith/puremagic
%global tag %{version}
%forgemeta

License:        MIT
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%global _description %{expand:
Pure Python module that will identify a file based on its magic numbers.

It does NOT try to match files on non-magic string. In other words it
will not search for a string within a certain window of bytes like
others might.}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup -p1

# Remove unnecessary shebangs
sed -r \
    -e '/^#!/d' \
    -i puremagic/__init__.py puremagic/__main__.py puremagic/main.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l %{pypi_name}


%check
%pytest -r fEs
%pyproject_check_import


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS.rst CHANGELOG.md README.rst


%changelog
## START: Generated by rpmautospec
* Sat Jul 05 2025 Sandro <devel@penguinpee.nl> - 1.30-1
- Update to 1.30

* Sat Jul 05 2025 Sandro <devel@penguinpee.nl> - 1.29-1
- Revert "Update to 2.0.0b3 upstream release"

* Fri Jul 04 2025 Packit <hello@packit.dev> - 2.0.0b3-1
- Update to 2.0.0b3 upstream release
- Resolves: rhbz#2363618

* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 1.29-2
- Rebuilt for Python 3.14

* Fri May 23 2025 Sandro <devel@penguinpee.nl> - 1.29-1
- Update to 1.29

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.28-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Nov 22 2024 Sandro <devel@penguinpee.nl> - 1.28-1
- Package import
## END: Generated by rpmautospec
